Skip to main content
POST
/
consumer-loan-applications
/
{applicationId}
/
acceptance
Accept approved consumer loan terms
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/consumer-loan-applications/{applicationId}/acceptance \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "acceptedAt": "2023-11-07T05:31:56Z",
  "acceptanceChannel": "<string>",
  "signatureReference": "<string>"
}
'
{
  "applicationId": "clapp_01JQ9MQ6WZ5W2DGWHHMDXPGM3E",
  "quoteId": "<string>",
  "customerId": "<string>",
  "status": "draft",
  "decisionMode": "automated",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Path Parameters

applicationId
string
required

Body

application/json
acceptedAt
string<date-time>
required
acceptanceChannel
string
required
signatureReference
string

Response

Acceptance recorded

applicationId
string
Example:

"clapp_01JQ9MQ6WZ5W2DGWHHMDXPGM3E"

quoteId
string
customerId
string
status
enum<string>
Available options:
draft,
submitted,
in-review,
approved,
declined,
accepted,
booked
decisionMode
enum<string>
Available options:
automated,
hybrid,
manual
createdAt
string<date-time>